BatchGetRecommendations
curl --request POST \
--url https://developer.synq.io/api/recommendations/v1/by-id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recommendationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://developer.synq.io/api/recommendations/v1/by-id"
payload = { "recommendationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recommendationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://developer.synq.io/api/recommendations/v1/by-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recommendations": {}
}synq.recommendations.v1.RecommendationsService
BatchGetRecommendations
Fetch recommendations by id. Ids that are unknown, belong to another workspace, no longer exist because the condition cleared, or concern an integration the credential cannot read are omitted from the response rather than erroring.
POST
/
api
/
recommendations
/
v1
/
by-id
BatchGetRecommendations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to fetch recommendations by id.
Ids of the recommendations (UUIDs).
Required array length:
1 - 200 elementsResponse
200 - application/json
Success
Response with the recommendations found, keyed by id.
Show child attributes
Show child attributes